org.keycloak.models.jpa.session

## Class PersistentClientSessionEntity

- java.lang.Object
- - org.keycloak.models.jpa.session.PersistentClientSessionEntity

-     @Entity
      public class PersistentClientSessionEntity
      extends Object

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PersistentClientSessionEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `clientId`
    `protected String` | `clientStorageProvider`
    `protected String` | `data`
    `static String` | `EXTERNAL`
    `protected String` | `externalClientId`
    `static String` | `LOCAL`
    `protected String` | `offline`
    `protected int` | `timestamp`
    `protected String` | `userSessionId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentClientSessionEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()`
    `String` | `getClientStorageProvider()`
    `String` | `getData()`
    `String` | `getExternalClientId()`
    `String` | `getOffline()`
    `int` | `getTimestamp()`
    `String` | `getUserSessionId()`
    `void` | `setClientId(String clientId)`
    `void` | `setClientStorageProvider(String clientStorageProvider)`
    `void` | `setData(String data)`
    `void` | `setExternalClientId(String externalClientId)`
    `void` | `setOffline(String offline)`
    `void` | `setTimestamp(int timestamp)`
    `void` | `setUserSessionId(String userSessionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOCAL

          public static final String LOCAL

      See Also:
        Constant Field Values

    - #### EXTERNAL

          public static final String EXTERNAL

      See Also:
        Constant Field Values

    - #### userSessionId

          protected String userSessionId

    - #### clientId

          protected String clientId

    - #### clientStorageProvider

          protected String clientStorageProvider

    - #### externalClientId

          protected String externalClientId

    - #### timestamp

          protected int timestamp

    - #### offline

          protected String offline

    - #### data

          protected String data

  - ### Constructor Detail

    - #### PersistentClientSessionEntity

          public PersistentClientSessionEntity()

  - ### Method Detail

    - #### getUserSessionId

          public String getUserSessionId()

    - #### setUserSessionId

          public void setUserSessionId(String userSessionId)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getClientStorageProvider

          public String getClientStorageProvider()

    - #### setClientStorageProvider

          public void setClientStorageProvider(String clientStorageProvider)

    - #### getExternalClientId

          public String getExternalClientId()

    - #### setExternalClientId

          public void setExternalClientId(String externalClientId)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getOffline

          public String getOffline()

    - #### setOffline

          public void setOffline(String offline)

    - #### getData

          public String getData()

    - #### setData

          public void setData(String data)

Copyright © 2020 JBoss by Red Hat. All rights reserved.